Package org.springframework.core.convert.support

# Class ConversionServiceFactory

java.lang.Object
org.springframework.core.convert.support.ConversionServiceFactory

public final class ConversionServiceFactory extends Object
A factory for common `ConversionService` configurations.

Since:
  3.0
Author:
  Keith Donald, Juergen Hoeller, Chris Beams

## Method Summary

Modifier and Type
Method
Description
`static void`
`registerConverters(Set<?> converters, ConverterRegistry registry)`
Register the given Converter objects with the given target ConverterRegistry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### registerConverters

public static void registerConverters(@Nullable Set<?> converters, ConverterRegistry registry)
Register the given Converter objects with the given target ConverterRegistry.

Parameters:
  `converters` - the converter objects: implementing `Converter`, `ConverterFactory`, or `GenericConverter`
  `registry` - the target registry